<%- include('./common/_header') %>
<section class="hero-wrap hero-wrap-2" style="background-image: url('images/bg_3.jpg');" data-stellar-background-ratio="0.5">
	<div class="overlay"></div>
	<div class="container">
	  <div class="row no-gutters slider-text align-items-end justify-content-center">
		<div class="col-md-9 ftco-animate text-center">
		  <h1 class="mb-2 bread">Login</h1>
		  <p class="breadcrumbs"><span class="mr-2"><a href="index.html">Home <i class="ion-ios-arrow-forward"></i></a></span> <span>Login <i class="ion-ios-arrow-forward"></i></span></p>
		</div>
	  </div>
	</div>
  </section>
	<section class="ftco-section ftco-no-pt ftco-no-pb">
		<div class="container-fluid px-0">
			<div class="row d-flex no-gutters justify-content-center">
				<div class="col-md-10 ftco-animate makereservation p-4 p-md-5 pt-5 pt-md-0 ">
					<div class="heading-section ftco-animate mb-5" style="text-align: center">
						<span class="subheading">User</span>
						<h2 class="mb-4">User Login</h2>
					</div>
					<form id="loginForm" action="/user-reg" method="POST" role="alert">
						<div class="row justify-content-center">
					
							<div class="col-md-6">
								<div class="row">
										<div class="form-group" style="width: 100%">
												<label for="">Email</label>
												<input type="email" class="form-control" id="email" name="email" placeholder="Your Email" required>
											</div>
								</div>
								<div class="row">
										<div class="form-group" style="width: 100%">
												<label for="">Password</label>
												<input type="password" class="form-control" id="password" name="password" placeholder="Password" required maxlength="8" minlength="6">
											</div>
											<p class="err-msg"><%= message %></p>
								</div>
						
							</div>
					
	
							<div class="col-md-12 mt-3">
								<div class="row justify-content-center">
										<div class="form-group">
												<input type="submit" value="Login" class="btn btn-primary py-3 px-5"
													id="loginBtn">
											</div>
											<div class="form-group" style="margin-left: 10px">
													<input type="button" value="Registration" class="btn btn-primary py-3 px-5"
														id="signUpBtn">
												</div>
							
											
								</div>
						
							</div>
						</div>
					</form>
				</div>
				
			</div>
		</div>
	</section>

    <%- include('./common/_footer') %>

	<!-- <script>
		localStorage.setItem('token', "<%= JSON.stringify(token) %>"); // <- setup token into localStorage, (but i think it's not good place for that, and would be better get token with another authorization request)
	</script> -->
	<script>
		// Shorthand for $( document ).ready()
		$(function () {
			console.log("ready!");
			
			// var $myForm = $('#loginForm');

			// if(! $myForm[0].checkValidity()) {
			// // If the form is invalid, submit it. The form won't actually submit;
			// // this will just cause the browser to display the native HTML5 error messages.
			// $myForm.find(':submit').click();
			// }

			// $('#loginForm').submit((e)=>{
			// 	e.preventDefault();
			// 	$('#loginForm').submit();
			// });
			// $('#loginForm').submit((e)=>{
			// 	// var cookie = Cookies.get('auth');
			// 	e.preventDefault();
			// 	let formData = {
			// 		email : $('#email').val(),
			// 		password : $('#password').val()
			// 	}


			// 	$.ajax({
			// 		type: "POST",
			// 		url: 'http://localhost:2017/public/login',
			// 		data: formData, // serializes the form's elements.
			// 		dataType : 'json',
			// 		// xhrFields: {
            // 		// 	withCredentials: true
       		// 		// },
			// 		success: function (data) {
			// 			console.log("data >>",data);
			// 			alert(data); // show response from the php script.
			// 			// Cookies.set('auth', data, {
            //             //     expires: 3600 * 24
			// 			// })
			// 			let token = data.token;
			// 			console.log('data >>',data);
			// 			window.localStorage.setItem('user',data.user)
			// 			window.sessionStorage.setItem('token', token); 
			// 			console.log('localStorage >>',window.sessionStorage.getItem('token'));
			// 			console.log('localStorage >>',window.localStorage.getItem('user'));
            //             // window.location.replace('/')  "<%= JSON.stringify(token) %>"
			// 			// window.location.replace("/");
			// 		},
			// 		error:function (error) {
			// 			console.log("error >>",error);
			// 		}
			// 	});
			// });

			$('#signUpBtn').click((e)=>{
				window.location.replace("/registration");
				// window.location.href = "http://stackoverflow.com";
			});
			// $('#signUpBtn').click(function(e) {
			// 	console.log("Submit Btn...");

			// 	let formDate = {
			// 		email:'samtext@yopmial.com',
			// 		password:'123456',
			// 		password2:'123456'
			// 	}

			// 	$.ajax({
			// 		type: "POST",
			// 		url: 'http://localhost:2017/public/register',
			// 		data: formDate, // serializes the form's elements.
			// 		dataType : 'json',
			// 		success: function (data) {
			// 			console.log("data >>",data);
			// 			alert(data); // show response from the php script.
			// 		},
			// 		error:function (error) {
			// 			console.log("error >>",error);
			// 		}
			// 	});
			// })

			// this is the id of the form
			// $("#signUpForm").submit(function (e) {

			// 	e.preventDefault(); // avoid to execute the actual submit of the form.

			// 	var form = $(this);
			// 	var url = form.attr('action');

			// 	console.log("form.serialize() ",form.serialize())

			// 	// $.ajax({
			// 	// 	type: "POST",
			// 	// 	url: http://localhost:2017/public/register,
			// 	// 	data: form.serialize(), // serializes the form's elements.
			// 	// 	success: function (data) {
			// 	// 		console.log("data >>",data);
			// 	// 		alert(data); // show response from the php script.
			// 	// 	},
			// 	// 	error:function (error) {
			// 	// 		console.log("error >>",error);
			// 	// 	}
			// 	// });
			// });
})
	</script>